POST Agents/List/CreateDefaultProjectTypeEntity
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/List/CreateDefaultProjectTypeEntity
Loading default values into a new ProjectTypeEntity.
NsApiSlow threshold: 5000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ProjectTypeEntity
| Property Name | Type | Description |
|---|---|---|
| ProjTypeId | int32 | Primary key |
| Name | string | The list item |
| Tooltip | string | Tooltip or other description |
| Rank | int32 | Rank order |
| DurationUnit | string | Units for the duration |
| ProjectDuration | int32 | Expected duration of project, in given units |
| Deleted | bool | 0 -> record is active 1 -> record is 'deleted' and should not be shown in lists |
| HasGuide | bool | Does this project type have a guide attached |
| IsAutoAdvance | bool | Does the project status advance automatically, when the last guided activity in a status is completed? |
| Stages | array | Stages (project statuses), those associated with this ProjType are selected. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/List/CreateDefaultProjectTypeEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ProjTypeId": 131,
"Name": "Bode, Gerhold and Heidenreich",
"Tooltip": "suscipit",
"Rank": 114,
"DurationUnit": "Century",
"ProjectDuration": 147,
"Deleted": false,
"HasGuide": false,
"IsAutoAdvance": false,
"Stages": [
{
"Id": 873,
"Name": "Predovic-Kuhlman",
"ToolTip": "Aut totam ut autem ex qui.",
"Deleted": false,
"Rank": 430,
"Type": "fugit",
"ColorBlock": 991,
"IconHint": "velit",
"Selected": true,
"LastChanged": "2023-09-06T10:11:00.2909013+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "sed",
"StyleHint": "odio",
"Hidden": false,
"FullName": "Dr. Shemar Santiago Muller",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 661
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 179
}
}
}